
package com.chinaitop.depot.intelligent.wsClientJc.jc3;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.chinaitop.depot.intelligent.wsClientJc.jc3 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _String_QNAME = new QName("http://tempuri.org/", "string");
    private final static QName _Int_QNAME = new QName("http://tempuri.org/", "int");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.chinaitop.depot.intelligent.wsClientJc.jc3
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link StartEmptyMeasureResponse }
     * 
     */
    public StartEmptyMeasureResponse createStartEmptyMeasureResponse() {
        return new StartEmptyMeasureResponse();
    }

    /**
     * Create an instance of {@link GetMeasureEmptyWeightResponse }
     * 
     */
    public GetMeasureEmptyWeightResponse createGetMeasureEmptyWeightResponse() {
        return new GetMeasureEmptyWeightResponse();
    }

    /**
     * Create an instance of {@link DebuggetDebugMessageResponse }
     * 
     */
    public DebuggetDebugMessageResponse createDebuggetDebugMessageResponse() {
        return new DebuggetDebugMessageResponse();
    }

    /**
     * Create an instance of {@link StopMeasureResponse }
     * 
     */
    public StopMeasureResponse createStopMeasureResponse() {
        return new StopMeasureResponse();
    }

    /**
     * Create an instance of {@link GetOnlineZhuji }
     * 
     */
    public GetOnlineZhuji createGetOnlineZhuji() {
        return new GetOnlineZhuji();
    }

    /**
     * Create an instance of {@link SetUpResponse }
     * 
     */
    public SetUpResponse createSetUpResponse() {
        return new SetUpResponse();
    }

    /**
     * Create an instance of {@link GetFullAngleValuesResponse }
     * 
     */
    public GetFullAngleValuesResponse createGetFullAngleValuesResponse() {
        return new GetFullAngleValuesResponse();
    }

    /**
     * Create an instance of {@link GetScanFullResultResponse }
     * 
     */
    public GetScanFullResultResponse createGetScanFullResultResponse() {
        return new GetScanFullResultResponse();
    }

    /**
     * Create an instance of {@link StartFullMeasureResponse }
     * 
     */
    public StartFullMeasureResponse createStartFullMeasureResponse() {
        return new StartFullMeasureResponse();
    }

    /**
     * Create an instance of {@link SetBaseDATA }
     * 
     */
    public SetBaseDATA createSetBaseDATA() {
        return new SetBaseDATA();
    }

    /**
     * Create an instance of {@link GetMeasureFullStatus }
     * 
     */
    public GetMeasureFullStatus createGetMeasureFullStatus() {
        return new GetMeasureFullStatus();
    }

    /**
     * Create an instance of {@link StopYujingResponse }
     * 
     */
    public StopYujingResponse createStopYujingResponse() {
        return new StopYujingResponse();
    }

    /**
     * Create an instance of {@link SetUp }
     * 
     */
    public SetUp createSetUp() {
        return new SetUp();
    }

    /**
     * Create an instance of {@link DelBaseDATAResponse }
     * 
     */
    public DelBaseDATAResponse createDelBaseDATAResponse() {
        return new DelBaseDATAResponse();
    }

    /**
     * Create an instance of {@link StopMeasure }
     * 
     */
    public StopMeasure createStopMeasure() {
        return new StopMeasure();
    }

    /**
     * Create an instance of {@link StopYujing }
     * 
     */
    public StopYujing createStopYujing() {
        return new StopYujing();
    }

    /**
     * Create an instance of {@link StopCameraResponse }
     * 
     */
    public StopCameraResponse createStopCameraResponse() {
        return new StopCameraResponse();
    }

    /**
     * Create an instance of {@link StartCameraResponse }
     * 
     */
    public StartCameraResponse createStartCameraResponse() {
        return new StartCameraResponse();
    }

    /**
     * Create an instance of {@link SetBaseDATAResponse }
     * 
     */
    public SetBaseDATAResponse createSetBaseDATAResponse() {
        return new SetBaseDATAResponse();
    }

    /**
     * Create an instance of {@link GetSafetyShebei }
     * 
     */
    public GetSafetyShebei createGetSafetyShebei() {
        return new GetSafetyShebei();
    }

    /**
     * Create an instance of {@link DebuggetDebugMessage }
     * 
     */
    public DebuggetDebugMessage createDebuggetDebugMessage() {
        return new DebuggetDebugMessage();
    }

    /**
     * Create an instance of {@link StopMotor }
     * 
     */
    public StopMotor createStopMotor() {
        return new StopMotor();
    }

    /**
     * Create an instance of {@link GetFullAngleValues }
     * 
     */
    public GetFullAngleValues createGetFullAngleValues() {
        return new GetFullAngleValues();
    }

    /**
     * Create an instance of {@link CleanAlarmResponse }
     * 
     */
    public CleanAlarmResponse createCleanAlarmResponse() {
        return new CleanAlarmResponse();
    }

    /**
     * Create an instance of {@link GetMeasureEmptyStatusResponse }
     * 
     */
    public GetMeasureEmptyStatusResponse createGetMeasureEmptyStatusResponse() {
        return new GetMeasureEmptyStatusResponse();
    }

    /**
     * Create an instance of {@link DelBaseDATA }
     * 
     */
    public DelBaseDATA createDelBaseDATA() {
        return new DelBaseDATA();
    }

    /**
     * Create an instance of {@link SetLeft }
     * 
     */
    public SetLeft createSetLeft() {
        return new SetLeft();
    }

    /**
     * Create an instance of {@link GetEmptyAngleValues }
     * 
     */
    public GetEmptyAngleValues createGetEmptyAngleValues() {
        return new GetEmptyAngleValues();
    }

    /**
     * Create an instance of {@link GetOnlineZhujiResponse }
     * 
     */
    public GetOnlineZhujiResponse createGetOnlineZhujiResponse() {
        return new GetOnlineZhujiResponse();
    }

    /**
     * Create an instance of {@link DebugAlarmResponse }
     * 
     */
    public DebugAlarmResponse createDebugAlarmResponse() {
        return new DebugAlarmResponse();
    }

    /**
     * Create an instance of {@link StartCamera }
     * 
     */
    public StartCamera createStartCamera() {
        return new StartCamera();
    }

    /**
     * Create an instance of {@link GetScanEmptyResult }
     * 
     */
    public GetScanEmptyResult createGetScanEmptyResult() {
        return new GetScanEmptyResult();
    }

    /**
     * Create an instance of {@link GetMeasureEmptyStatus }
     * 
     */
    public GetMeasureEmptyStatus createGetMeasureEmptyStatus() {
        return new GetMeasureEmptyStatus();
    }

    /**
     * Create an instance of {@link GetMeasureFullWeightResponse }
     * 
     */
    public GetMeasureFullWeightResponse createGetMeasureFullWeightResponse() {
        return new GetMeasureFullWeightResponse();
    }

    /**
     * Create an instance of {@link StartYujingResponse }
     * 
     */
    public StartYujingResponse createStartYujingResponse() {
        return new StartYujingResponse();
    }

    /**
     * Create an instance of {@link SetLeftResponse }
     * 
     */
    public SetLeftResponse createSetLeftResponse() {
        return new SetLeftResponse();
    }

    /**
     * Create an instance of {@link DebugAlarm }
     * 
     */
    public DebugAlarm createDebugAlarm() {
        return new DebugAlarm();
    }

    /**
     * Create an instance of {@link GetMeasureEmptyWeight }
     * 
     */
    public GetMeasureEmptyWeight createGetMeasureEmptyWeight() {
        return new GetMeasureEmptyWeight();
    }

    /**
     * Create an instance of {@link StartYujing }
     * 
     */
    public StartYujing createStartYujing() {
        return new StartYujing();
    }

    /**
     * Create an instance of {@link CleanAlarm }
     * 
     */
    public CleanAlarm createCleanAlarm() {
        return new CleanAlarm();
    }

    /**
     * Create an instance of {@link GetFullScanValuesResponse }
     * 
     */
    public GetFullScanValuesResponse createGetFullScanValuesResponse() {
        return new GetFullScanValuesResponse();
    }

    /**
     * Create an instance of {@link SetRightResponse }
     * 
     */
    public SetRightResponse createSetRightResponse() {
        return new SetRightResponse();
    }

    /**
     * Create an instance of {@link SetDownResponse }
     * 
     */
    public SetDownResponse createSetDownResponse() {
        return new SetDownResponse();
    }

    /**
     * Create an instance of {@link SysReset }
     * 
     */
    public SysReset createSysReset() {
        return new SysReset();
    }

    /**
     * Create an instance of {@link GetEmptyScanValues }
     * 
     */
    public GetEmptyScanValues createGetEmptyScanValues() {
        return new GetEmptyScanValues();
    }

    /**
     * Create an instance of {@link GetEmptyScanValuesResponse }
     * 
     */
    public GetEmptyScanValuesResponse createGetEmptyScanValuesResponse() {
        return new GetEmptyScanValuesResponse();
    }

    /**
     * Create an instance of {@link GetMeasureFullWeight }
     * 
     */
    public GetMeasureFullWeight createGetMeasureFullWeight() {
        return new GetMeasureFullWeight();
    }

    /**
     * Create an instance of {@link SetDown }
     * 
     */
    public SetDown createSetDown() {
        return new SetDown();
    }

    /**
     * Create an instance of {@link GetFullScanValues }
     * 
     */
    public GetFullScanValues createGetFullScanValues() {
        return new GetFullScanValues();
    }

    /**
     * Create an instance of {@link StopMotorResponse }
     * 
     */
    public StopMotorResponse createStopMotorResponse() {
        return new StopMotorResponse();
    }

    /**
     * Create an instance of {@link StartEmptyMeasure }
     * 
     */
    public StartEmptyMeasure createStartEmptyMeasure() {
        return new StartEmptyMeasure();
    }

    /**
     * Create an instance of {@link GetMeasureFullStatusResponse }
     * 
     */
    public GetMeasureFullStatusResponse createGetMeasureFullStatusResponse() {
        return new GetMeasureFullStatusResponse();
    }

    /**
     * Create an instance of {@link GetScanFullResult }
     * 
     */
    public GetScanFullResult createGetScanFullResult() {
        return new GetScanFullResult();
    }

    /**
     * Create an instance of {@link SetRight }
     * 
     */
    public SetRight createSetRight() {
        return new SetRight();
    }

    /**
     * Create an instance of {@link SysResetResponse }
     * 
     */
    public SysResetResponse createSysResetResponse() {
        return new SysResetResponse();
    }

    /**
     * Create an instance of {@link GetEmptyAngleValuesResponse }
     * 
     */
    public GetEmptyAngleValuesResponse createGetEmptyAngleValuesResponse() {
        return new GetEmptyAngleValuesResponse();
    }

    /**
     * Create an instance of {@link StartFullMeasure }
     * 
     */
    public StartFullMeasure createStartFullMeasure() {
        return new StartFullMeasure();
    }

    /**
     * Create an instance of {@link StopCamera }
     * 
     */
    public StopCamera createStopCamera() {
        return new StopCamera();
    }

    /**
     * Create an instance of {@link GetSafetyShebeiResponse }
     * 
     */
    public GetSafetyShebeiResponse createGetSafetyShebeiResponse() {
        return new GetSafetyShebeiResponse();
    }

    /**
     * Create an instance of {@link GetScanEmptyResultResponse }
     * 
     */
    public GetScanEmptyResultResponse createGetScanEmptyResultResponse() {
        return new GetScanEmptyResultResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://tempuri.org/", name = "string")
    public JAXBElement<String> createString(String value) {
        return new JAXBElement<String>(_String_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Integer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://tempuri.org/", name = "int")
    public JAXBElement<Integer> createInt(Integer value) {
        return new JAXBElement<Integer>(_Int_QNAME, Integer.class, null, value);
    }

}
